Method: networks.customTargetingValues.batchDeactivate

Deactivates a list of CustomTargetingValue objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/customTargetingValues:batchDeactivate

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of CustomTargetingValues. Format: networks/{networkCode}/

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (DeactivateCustomTargetingValueRequest)
    }
  ]
}
Fields
requests[]

object (DeactivateCustomTargetingValueRequest)

Required. The CustomTargetingValue objects to deactivate.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

DeactivateCustomTargetingValueRequest

Request message to deactivate a CustomTargetingValue.

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the CustomTargetingValue. Format: networks/{networkCode}/customTargetingValues/{customTargetingValueId}